# webtop -- https://docs.linuxserver.io/images/docker-webtop/#lossless-mode
---
services:
    webtop:
        image: lscr.io/linuxserver/webtop:latest
        container_name: webtop
        environment:
            - PUID=1000
            - PGID=1000
            - TZ=America/New_York
            - TITLE=Webtop #optional
        dns:
            - ${PIHOLE_SERVER}
        shm_size: "1gb" #optional

        volumes:
            - ${WEBTOP_DATA}config:/config
        ports:
             - 7978:3000
             - 7979:3001
        networks:
            - frontend
        restart: unless-stopped

networks:
    frontend:
        external: true
